<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>QuorumZooKeeperServer.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.zookeeper.server.quorum</a> &gt; <span class="el_source">QuorumZooKeeperServer.java</span></div><h1>QuorumZooKeeperServer.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.zookeeper.server.quorum;

import java.io.PrintWriter;

import org.apache.zookeeper.server.ZKDatabase;
import org.apache.zookeeper.server.ZooKeeperServer;
import org.apache.zookeeper.server.persistence.FileTxnSnapLog;

/**
 * Abstract base class for all ZooKeeperServers that participate in
 * a quorum.
 */
public abstract class QuorumZooKeeperServer extends ZooKeeperServer {
    protected final QuorumPeer self;

    protected QuorumZooKeeperServer(FileTxnSnapLog logFactory, int tickTime,
            int minSessionTimeout, int maxSessionTimeout,
            DataTreeBuilder treeBuilder, ZKDatabase zkDb, QuorumPeer self)
    {
<span class="fc" id="L37">        super(logFactory, tickTime, minSessionTimeout, maxSessionTimeout,</span>
                treeBuilder, zkDb);
<span class="fc" id="L39">        this.self = self;</span>
<span class="fc" id="L40">    }</span>

    @Override
    public void dumpConf(PrintWriter pwriter) {
<span class="fc" id="L44">        super.dumpConf(pwriter);</span>

<span class="fc" id="L46">        pwriter.print(&quot;initLimit=&quot;);</span>
<span class="fc" id="L47">        pwriter.println(self.getInitLimit());</span>
<span class="fc" id="L48">        pwriter.print(&quot;syncLimit=&quot;);</span>
<span class="fc" id="L49">        pwriter.println(self.getSyncLimit());</span>
<span class="fc" id="L50">        pwriter.print(&quot;electionAlg=&quot;);</span>
<span class="fc" id="L51">        pwriter.println(self.getElectionType());</span>
<span class="fc" id="L52">        pwriter.print(&quot;electionPort=&quot;);</span>
<span class="fc" id="L53">        pwriter.println(self.quorumPeers.get(self.getId()).electionAddr</span>
<span class="fc" id="L54">                .getPort());</span>
<span class="fc" id="L55">        pwriter.print(&quot;quorumPort=&quot;);</span>
<span class="fc" id="L56">        pwriter.println(self.quorumPeers.get(self.getId()).addr.getPort());</span>
<span class="fc" id="L57">        pwriter.print(&quot;peerType=&quot;);</span>
<span class="fc" id="L58">        pwriter.println(self.getLearnerType().ordinal());</span>
<span class="fc" id="L59">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>